#!/system/xbin/awk -f
# Remove bad <shared-user> elements from packages.xml and let android regenerate
# Fixes problems with Google App signature

BEGIN {
	printing = 1
	bad[1] = "android.uid.calendar"
	bad[2] = "com.google.uid.shared"
	bad[3] = "com.google.android.calendar.uid.shared"
}
/<shared-user/ {
	for (x in bad) {
		if (index($0, bad[x]) > 0) {
			printing = 0
		}
	}
}
{
	if (printing == 1) {
		print $0
	}
}
/<\/shared-user/ {
	printing = 1
}